Search found 9 matches

by delvento
Thu Nov 25, 2021 1:02 am
Forum: Newbies & Support
Topic: More LS blues
Replies: 7
Views: 57

Re: More LS blues

After (metaphorically) banging my head on the keyboard long enough, the (metaphorical) blood shortened the switches under the right keys and solved the issue. I needed to "create" an audio device not just "look" at what the "Audio Devices" window on the right show. The instruments that are loaded af...
by delvento
Tue Nov 23, 2021 6:08 pm
Forum: Newbies & Support
Topic: More LS blues
Replies: 7
Views: 57

Re: More LS blues

Removing all things which I reported to bugzilla instead. For reference they are https://bugs.linuxsampler.org/cgi-bin/show_bug.cgi?id=315 https://bugs.linuxsampler.org/cgi-bin/show_bug.cgi?id=316 https://bugs.linuxsampler.org/cgi-bin/show_bug.cgi?id=317 So now I am able to run LS with Fantasia and ...
by delvento
Tue Nov 23, 2021 3:23 pm
Forum: Newbies & Support
Topic: More LS blues
Replies: 7
Views: 57

Re: More LS blues

Thanks very much for the clue. I should have suspected that myself and found it without your help, sorry. Obviously, you are correct, the question is why? Digging deeper, in config.log there is the following configure:19695: $PKG_CONFIG --exists --print-errors "linuxsampler >= $liblinuxsampler_versi...
by delvento
Mon Nov 22, 2021 9:44 pm
Forum: Newbies & Support
Topic: More LS blues
Replies: 7
Views: 57

Re: More LS blues

Thanks for getting back to me. Here is the full compile output $ make && make install make all-recursive make[1]: Entering directory '/home/davide/Music/LinuxSampler-2.2.0/tarballs/gigedit-1.2.0' Making all in src make[2]: Entering directory '/home/davide/Music/LinuxSampler-2.2.0/tarballs/gigedit-1....
by delvento
Sun Nov 21, 2021 10:41 pm
Forum: Newbies & Support
Topic: More LS blues
Replies: 7
Views: 57

More LS blues

Ok, so after I solved the yyrhs issue, I am now encountering this other error when compiling gigedit ScriptPatchVars.cpp:153:5: error: use of undeclared identifier 'LinuxSampler' LinuxSampler::ScriptVM* vm = LinuxSampler::ScriptVMFactory::Create("gig"); ^ ScriptPatchVars.cpp:153:34: error: use of un...
by delvento
Sun Nov 21, 2021 9:59 pm
Forum: Newbies & Support
Topic: Build error lscp.y:1380:18: error: 'yyprhs' was not declared
Replies: 3
Views: 12010

Re: Build error lscp.y:1380:18: error: 'yyprhs' was not declared

I don't think the problem is the version of the package(s) as this thread leads one to believe. In fact I reproduced the very same problem with the packages that were reportedly working for the OP in this thread. As I described in https://bb.linuxsampler.org/viewtopic.php?t=19966 the problem is that...
by delvento
Sun Nov 21, 2021 8:09 pm
Forum: Newbies & Support
Topic: Compilation fails with undeclared identifier 'yyrhs'
Replies: 3
Views: 44

Re: Compilation fails with undeclared identifier 'yyrhs'

Ok, so I'm glad that I did that digging about the installed packages. That led me to figure out that the reason for failure was the lack of the bison package! Installing bison with sudo apt install bison Solved the issue. Another clue was also that searching for that identifier in the whole project,...
by delvento
Sun Nov 21, 2021 6:35 pm
Forum: Newbies & Support
Topic: Compilation fails with undeclared identifier 'yyrhs'
Replies: 3
Views: 44

Re: Compilation fails with undeclared identifier 'yyrhs'

Just for completeness, here is the list of packages I manually installed, in case it could be relevant to know this detail for debugging the issue: clang g++ intltool libasound2-dev libaudiofile-dev libgtk2.0-dev libgtkmm-2.4-dev libjack-jackd2-dev libsndfile1-dev libsqlite3-dev lv2-dev uuid-dev of ...
by delvento
Sat Nov 20, 2021 5:16 am
Forum: Newbies & Support
Topic: Compilation fails with undeclared identifier 'yyrhs'
Replies: 3
Views: 44

Compilation fails with undeclared identifier 'yyrhs'

I'm trying to compile linuxsampler v2.2.0 (and dependencies) in Ubuntu 18.04.6 LTS following the instructions in http://linuxsampler.org/downloads.html (note *) I've checked that my distro did not have apt installed any of those packages, but did have the ones that were obviously needed, such as int...